commit:     fe334fa4a36b52c0b4abbe9aaced58062387e60e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue May  9 17:46:04 2017 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue May  9 18:43:15 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fe334fa4

dev-python/pastedeploy: Fix namespace support

 dev-python/pastedeploy/pastedeploy-1.5.2-r1.ebuild | 32 ++++++++++++++++++++++
 1 file changed, 32 insertions(+)

diff --git a/dev-python/pastedeploy/pastedeploy-1.5.2-r1.ebuild 
b/dev-python/pastedeploy/pastedeploy-1.5.2-r1.ebuild
new file mode 100644
index 00000000000..b6bdabca097
--- /dev/null
+++ b/dev-python/pastedeploy/pastedeploy-1.5.2-r1.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+PYTHON_COMPAT=( python{2_7,3_4,3_5} )
+
+inherit distutils-r1
+
+MY_PN="PasteDeploy"
+MY_P="${MY_PN}-${PV}"
+
+DESCRIPTION="Load, configure, and compose WSGI applications and servers"
+HOMEPAGE="http://pythonpaste.org/deploy/ 
https://pypi.python.org/pypi/PasteDeploy";
+SRC_URI="mirror://pypi/${MY_PN:0:1}/${MY_PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux 
~x86-linux ~x86-solaris"
+IUSE="doc"
+
+RDEPEND="dev-python/namespace-paste[${PYTHON_USEDEP}]
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       use doc && dodoc docs/*.txt
+       find "${D}" -name '*.pth' -delete || die
+}

Reply via email to